from setuptools import setup

setup(
    name='ahisto-ocr',
    author='Vít Novotný',
    author_email='witiko@mail.muni.cz',
    url='https://gitlab.fi.muni.cz/xnovot32/ahisto-ocr',
    version='0.0.1',
    entry_points={
        'console_scripts': [
            'ahisto-ocr=ahisto_ocr.cli:main',
        ],
    },
    setup_requires=[
        'setuptools',
    ],
    description='The OCR engine of the AHISTO project',
    packages=[
        'ahisto_ocr',
    ],
    package_dir={
        'ahisto_ocr': 'ahisto_ocr',
    },
    include_package_data=True,
    zip_safe=True,
    install_requires=[
        'docker~=5.0.3',
        'click~=7.1.2',
        'pyxdg~=0.26',
    ],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Console',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
    ],
)
